﻿@inject ASPGestionProduit.Interface.ITraduction traductionService
<div class="container">
    <form enctype="multipart/form-data" asp-controller="Home" asp-action="SubmitProduct">
        <div class="row mb-3">
            <h5 class="col">@traductionService.Traduction("Creation Produit"):</h5>
        </div>
        @if (ViewBag.product != null)
        {
            <input type="hidden" name="id" value="@ViewBag.product.Id" />
        }
        <div class="row m-2">
            <input placeholder="Intitulé du produit" type="text" class="col form-control" name="titre" value="@if(@ViewBag.product != null)
            {@ViewBag.product.Titre}" required />
        </div>
        <div class="row m-2">
            <input placeholder="Prix du Produit (au kilo)" type="number" class="col form-control" name="prix" value="@if(@ViewBag.product != null)
            {@ViewBag.product.Prix}" required />
        </div>
        <div class="row m-1 w-100">  
                <select class="form-control" name="idCategorie" required>
                    @foreach (Categorie c in @Model)
                    {
                        <option value="@c.Id">@c.Nom</option>

                    }
                </select>
           
        </div>
        <div class="row m-2">
            <input placeholder="Description ( origine, qualités, etc.)" type="text" class="col form-control" name="description" value="@if(@ViewBag.product != null)
            {@ViewBag.product.Description}" required></input>
        </div>

        <div class="row m-2">
            <input multiple type="file" class="col form-control" placeholder="Image" name="images" value="@if(@ViewBag.images != null)
            {@ViewBag.images.Images}" required/>
        </div>
        <button class="btn col btn-success form-control">@traductionService.Traduction("enregistrer")</button>

    </form>
</div>
